/**
 * CHIP
 *
*/
.rtds-chip {
    border-radius: 1rem;
    padding-left: var(--spacing-3);
    padding-right: var(--spacing-3);
    padding-top: var(--spacing-1);
    padding-bottom: var(--spacing-1);
    font-size: var(--fontsize-text-sm);
        color: var(--color-content-01);
        border-color: var(--color-border-gray-04);
    display: inline-flex;
    align-items: center;
    font-weight: 700;
    border-width: 1px;
}
.rtds-chip--sm {
    border-radius: 0.75rem;
    padding-left: var(--spacing-2);
    padding-right: var(--spacing-2);
    padding-top: var(--spacing-0-5);
    padding-bottom: var(--spacing-0-5);
    font-size: var(--fontsize-text-xs);
}
.rtds-chip--lg {
    border-radius: 1.5rem;
    padding-top: var(--spacing-2);
    padding-bottom: var(--spacing-2);
    font-size: var(--fontsize-text-sm);
    padding-left: var(--spacing-4);
    padding-right: var(--spacing-4);
}
/* Chip category */
.rtds-chip--category {
    border-color: currentColor;
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1));
        color: var(--color-content-info);
}
/* Chip link - interactive */
.rtds-chip--interactive {
    background-color: transparent;
}
.rtds-chip--interactive:hover {
        background-color: var(--color-background-02);
    }
.rtds-chip--interactive:focus {
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1));
        border-color: var(--color-border-gray-01);
}
.rtds-chip--interactive:active {
    --tw-text-opacity: 1;
    color: rgb(255 255 255 / var(--tw-text-opacity, 1));
        background-color: var(--color-background-06);
        border-color: var(--color-border-gray-01);
}
.rtds-chip.is-selected {
        background-color: var(--color-background-06);
    --tw-text-opacity: 1;
    color: rgb(255 255 255 / var(--tw-text-opacity, 1));
}
.rtds-chip__close {
    border-radius: 9999px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 150ms;
}
.rtds-chip__close:hover {
        color: var(--color-content-01);
        background-color: var(--color-background-02);
    }
.rtds-chip__close:focus {
        color: var(--color-content-01);
        background-color: var(--color-background-02);
    }
.rtds-chip__close:active {
        color: var(--color-content-01);
        background-color: var(--color-background-02);
    }
.rtds-chip__close::after {
    position: absolute;
    right: var(--spacing-0);
    display: block;
    height: var(--spacing-8);
    width: var(--spacing-8);
    --tw-content: '';
    content: var(--tw-content);
}
.rtds-chip.has-button-close {
    position: relative;
    padding-right: var(--spacing-2);
}
.rtds-chip.has-button-close.rtds-chip--sm {
    padding-right: var(--spacing-2);
}
.rtds-chip.has-button-close.rtds-chip--lg {
    padding-right: var(--spacing-2);
}
/* CHIP STATUS */
.rtds-chip--status.is-open {
    border-color: var(--color-bando-aperto);
    background-color: var(--color-bando-aperto);
    --tw-text-opacity: 1;
    color: rgb(0 0 0 / var(--tw-text-opacity, 1));
}
.rtds-chip--status.is-in-progress {
    border-color: var(--color-bando-in-attivazione);
    background-color: var(--color-bando-in-attivazione);
    --tw-text-opacity: 1;
    color: rgb(0 0 0 / var(--tw-text-opacity, 1));
}
.rtds-chip--status.is-closed {
    border-color: var(--color-archiviato);
    background-color: var(--color-archiviato);
    --tw-text-opacity: 1;
    color: rgb(255 255 255 / var(--tw-text-opacity, 1));
}
/* Other status */
.rtds-chip--status.is-pending {
    border-color: var(--color-error-dark);
    background-color: var(--color-error-dark);
    --tw-text-opacity: 1;
    color: rgb(255 255 255 / var(--tw-text-opacity, 1));
}
/* CHIP FILTER */
.rtds-chip--filter {
        background-color: var(--color-background-06);
    gap: var(--spacing-2);
    --tw-text-opacity: 1;
    color: rgb(255 255 255 / var(--tw-text-opacity, 1));
}
